<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [DarknetFormulas](./bitburner.darknetformulas.md)

## DarknetFormulas interface

Darknet formulas

**Signature:**

```typescript
interface DarknetFormulas 
```

## Methods

<table><thead><tr><th>

Method


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[getAuthenticateTime(serverDetails, threads, player, correctCharactersInPassword)](./bitburner.darknetformulas.getauthenticatetime.md)


</td><td>

Gets the time it will take to authenticate a server.


</td></tr>
<tr><td>

[getExpectedRamBlockRemoved(serverDetails, threads, player)](./bitburner.darknetformulas.getexpectedramblockremoved.md)


</td><td>

Gets the expected amount off ram that will be freed by a call to dnet.memoryReallocation


</td></tr>
<tr><td>

[getHeartbleedTime(serverDetails, threads, player)](./bitburner.darknetformulas.getheartbleedtime.md)


</td><td>

Gets the time it will take to scrape logs from a server.


</td></tr>
</tbody></table>

